//// File / Fichier :   HGPLAbout.h
//// Copyright (C) 2004 Hugues Vanden Bossche
//// Last modification / Dernire modification : 08/01/2004
//// Declaration of a function GPLabout that display a typical "About"
//// windows including a view of the GPL, with fltk

// =============================================================================
//    This file is part of PoloCalc, a Windows desk caculator using
//    the Reverse Polish Notation
//
//    PoloCalc is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    PoloCalc is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with PoloCalc; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// =============================================================================  

#ifndef HGPLABOUT
#define HGPLABOUT 1

#include <iostream>
#include <sstream>
#include <fstream>
#include <string>

#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Box.H>
#include <FL/Fl_Help_View.H>
#include <FL/Fl_BMP_Image.H>

#include "HVColor.h"
#include "HVTextScroll.h"

void GPLAbout(const char*, const char*, int, const char*);

#endif
