// RSR: Fake out SCM
// 6/1/06

#ifndef FAKE_GUILE
#define FAKE_GUILE

#include <stdio.h>
#include <string.h>
#include <FL/Fl.H>

typedef int SCM;
#define SCM_EOL 0
#define SCM_UNSPECIFIED 0
#define SCM_BOOL_T 1
#define SCM_BOOL_F 0
typedef size_t scm_sizet;

#define GUILE_FLTK_MAJOR 0
#define GUILE_FLTK_MINOR 0
#define GUILE_FLTK_PATCH 0

#define GFL_EXTERN_TYPE(x)
#define gh_cdr(x) &x
#define gfl_remove(x)
#define GFL_Widget int
#define scm_print_state int
#define scm_puts(a,b) puts(a)
//  scm_puts ("#<widget EW_Fl_Viewport ", port);

typedef Fl_Window fltk_window;
typedef Fl_Widget fltk_widget;

#define GFL_ASSERT_5(desc,a,b,c,d,e)
#define GFL_NEW_SMOB(a,b,c)

#define GFL_SUBCLASS_TYPE(a,b,c,d,e,f,g)

/*
GFL_SUBCLASS_TYPE ("ew-viewport",
		   "ew-viewport description",
		   ew_viewport, fltk_group,
		   Smark, Sfree, Sprint);
*/

struct Gfl_Class
{	int tag;
};

inline int gh_cons(int,int){return 0;}

inline int gh_int2scm(int){return 0;}

inline void gh_eval_str(const char *string)
{	printf("unimplemented: %s\n",string);
}
inline void gfl_exe(const char* string,int)
{	gh_eval_str(string);
}
#define SCM_CLOSUREP(x) 0

#define scm_apply(x, y, z) gh_eval_str("scm_apply")

#define gfl_export_object(s,x,y) gh_eval_str(s)

inline void filename_expand(char* to,const char* from)
{	strcpy(to,from);
}

#define gh_eval_file_with_catch(s,x) gh_eval_str(s)

#define gh_scm2newstr(x,y) "0"
#define scm_minor_version() 0
#define scm_major_version() 0

#define scm_boot_guile(a,b,c,d) c(d,a,b)
// scm_boot_guile (argc, argv, inner_main, 0);
// inner_main (void *closure, int argc, char **argv)
// gh_eval_str("scm_boot_guile")
#define scm_init_fltk() gh_eval_str("scm_init_fltk")

#define gh_scm2double(x) 0
#define gh_car(arg) 0
#define gh_cadr(arg) 0
#define gh_caddr(arg) 0
#define gh_scm2int(x) 0

#define GFL_PROCEDURE_0_1 void gfl_0_1


/*
#define GFL_PROCEDURE_1_1(f,fn,fd,a1,at1,r1,rt1)\
Pdb_Info function_i[] = \
{ {0, fn},\
{0, fd},\
{at1, a1},\ 
{0, 0},\
{rt1, r1},\
{0, 0}};
*/
/*
PDB_ASSERT_X_Y 

0:  PDB_ASSERT_1 (function, arg1)

expands to: 

0:  pdb_assert (function_i, arg1)
*/

#define PDB_NEW_PROCEDURE (function) pdb_new_procedure (function##_i, function)

#define GFL_PROCEDURE_5_1(f,fz,dz,a1,a2,a3,a4,a5,t1,t2,t3,t4,t5,r1,rt1)\
rt1 f(t1 a1,t2 a2,t3 a3,t4 a4,t5 a5)

#endif
