#ifndef _INCLUDE_EW_BLOBBY_SPHERE_H_
#define _INCLUDE_EW_BLOBBY_SPHERE_H_

#include "ew_sphere.h"

class EW_BlobbySphere : public EW_Sphere 
{	int bone;
 public:

  EW_BlobbySphere();

  static void initialize();
  static void pdb_register(char *, long);
  Fl_Pixmap * pixmap() { return record.pixmap; }
  Fl_Group * property_window() { return record.property_window; }
  long tag() { return record.tag; }
  char * type() { return record.name; }  
  static EW_BlobbySphere * scm2obj(SCM);
  static SCM obj2scm(EW_Object *);

  static SCM set_strength(SCM);
  static SCM get_strength(SCM);

  void gl_draw();
  void write (FILE *, int);
  void update_gui();

  EW_Object * replicate();

 protected:
  static EW_ObjectRecord record;
  double strength;
  sgVec3_array vertex_cache2;
  sgVec3_array normal_cache2;
};

#endif
