#ifndef _INCLUDE_EW_DIFFERENCEGROUP_H_
#define _INCLUDE_EW_DIFFERENCEGROUP_H_

#include <ewave/objects/ew_group.h>

class EW_DifferenceGroup : public EW_Group 
{
 public:

  EW_DifferenceGroup();

  static void initialize();
  static void pdb_register(char *, long);
  Fl_Pixmap * pixmap() { return record.pixmap; }
  Fl_Group * property_window() { return record.property_window; }
  long tag() { return record.tag; }
  char * type() { return record.name; }  
  static EW_DifferenceGroup * scm2obj(SCM);
  static SCM obj2scm(EW_Object *);

  void write (FILE *, int);
  void update_gui();
  EW_Object * replicate();

 protected:
  static EW_ObjectRecord record;

};

#endif
