#ifndef _EW_CYLINDER_H_
#define _EW_CYLINDER_H_

#include <ewave/objects/ew_generic.h>

class EW_Cylinder : public EW_Generic
{
 public:
  EW_Cylinder ();

  static  EW_Class     klass;
  virtual EW_Class&    vklass () { return klass; }

  static void          initialize ();
  EW_Object*           replicate ();

  virtual void         refresh ();

  virtual int          write (EIFF *);
  virtual int          read (EIFF *);

  virtual void         draw (int, EW_Drw);
  static Mesh*         new_cylinder (int detail);
  static Mesh*         new_quarter_cylinder (int detail, int q0);
  
  Mesh*                mesh;
};

#endif
