#ifndef INCLUDE_NURBS_H
#define INCLUDE_NURBS_H

#include <ewave/objects/ew_object.h>

class EW_NURBS : public EW_Object
{
 public:
   
   EW_NURBS ();
   
   virtual EW_Class&    vklass () { return klass; }
   
   static void          initialize ();
   EW_Object*           replicate ();
   
   virtual void         refresh ();
   
   // Native Read and Write
   virtual int          write (EIFF *);
   virtual int          read (EIFF *);

   virtual void         draw (int, EW_Drw);

 protected:
   int                  degree;
   static EW_Class      klass;
   static Mesh*         mesh;
   vector< vector<Point> > cv;
};


#endif
