#ifndef _EW_SPHERE_H
#define _EW_SPHERE_H

#include <ewave/objects/ew_generic.h>

class EW_Sphere : public EW_Generic
{
 public:
  EW_Sphere ();

  static  EW_Class     klass;
  virtual EW_Class&    vklass () { return klass; }

  static void          initialize ();
  EW_Object*           replicate ();

  virtual void         refresh ();

  virtual int          write (EIFF *);
  virtual int          read (EIFF *);

  virtual void         draw (int, EW_Drw);
  static Mesh*         new_sphere (int detail);
  static Mesh*         new_quarter_sphere (int detail, int q0, int q1);
  
  Mesh*                mesh;
};

#endif
