// fix_strlen.h 12/24/05
// Copyright 2005 Robin.Rowe@MovieEditor.com
// License: BSD
// Purpose: Correct warnings, make 64-bit safe pointer conversions

#ifndef FIX_STRLEN_H
#define FIX_STRLEN_H

#include <string.h>

// fix size_t to int warnings

#ifdef __cplusplug
inline 
#else
__inline
#endif
int int_strlen(const char* s)
{	return int(s ? strlen(s):0);
}

#define strlen int_strlen

#endif

