#ifndef _FL_COLOR_MENU_H_
#define _FL_COLOR_MENU_H_
#include <FL/Fl.H>
#include <FL/Fl_Group.H>


class Fl_Color_Menu : public Fl_Group {
  Fl_Color initial;
  Fl_Color which, previous;
  int done;
  void drawbox(unsigned);
  void draw();
  int handle(int);
  int boxsizex,boxsizey; 
  int border;
public:
  Fl_Color_Menu(int, int, int, int, char const *t=0L);
  Fl_Color_Menu(unsigned oldcol);
  Fl_Color color();
  void color(unsigned);
  Fl_Color color(unsigned char r, unsigned char g, unsigned char b);
};


#endif
