//// PoloCalc for windows
//// File / Fichier :   HVColor.h
//// Copyright (C) 2003 Hugues Vanden Bossche
//// Last modification / Dernire modification : 24/03/2003
//// This file contains the declaration of a number of personnal colors
//// the purpose of which is to garanty homogeneity of my GUI.

// =============================================================================
//    This file is part of PoloCalc, a Windows desk caculator using
//    the Reverse Polish Notation
//
//    PoloCalc is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    PoloCalc is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with PoloCalc; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// ============================================================================= 

#ifndef HVCOLOR
#define HVCOLOR 1

#include<Fl/Fl.H>
#include<Fl/Fl_draw.H>
#include<Fl/Enumerations.H>

//==============================================================================
//  Const declaration
//==============================================================================

const Fl_Color HV_ORANGE = fl_rgb_color(230, 140, 80);
const Fl_Color HV_ORANGE_D = fl_rgb_color(120, 75, 45);
const Fl_Color HV_ORANGE_L = fl_rgb_color(250, 190, 160);
const Fl_Color HV_ORANGE_LL = fl_rgb_color(250, 215, 150);

const Fl_Color HV_TURQUOISE = fl_rgb_color(60, 105, 115);
const Fl_Color HV_TURQUOISE_D = fl_rgb_color(30, 50, 55);
const Fl_Color HV_TURQUOISE_L = fl_rgb_color(65, 145, 160);
const Fl_Color HV_TURQUOISE_LL = fl_rgb_color(90, 155, 175);

const Fl_Color HConifere = fl_rgb_color(15, 85, 85);
const Fl_Color HV_GREEN = fl_rgb_color(60, 115, 105);
const Fl_Color HV_GREEN_D = fl_rgb_color(30, 55, 50);
const Fl_Color HV_GREEN_L = fl_rgb_color(90, 175, 150);

const Fl_Color HV_BLUE = fl_rgb_color(25, 70, 185);
const Fl_Color HV_BLUE_D = fl_rgb_color(110, 95, 160);
const Fl_Color HV_BLUE_DD = fl_rgb_color(0, 35, 90);
const Fl_Color HV_BLUE_L = fl_rgb_color(55, 145, 255);
const Fl_Color HV_BLUE_LL = fl_rgb_color(200, 245, 255);

const Fl_Color HV_YELLOW = fl_rgb_color(245, 200, 10);
const Fl_Color HV_YELLOW_D = fl_rgb_color(120, 100, 5);
const Fl_Color HV_YELLOW_L = fl_rgb_color(255, 245, 190);

const Fl_Color HV_PURPLE = fl_rgb_color(110, 95, 160);
const Fl_Color HV_PURPLE_D = fl_rgb_color(55, 45, 80);
const Fl_Color HV_PURPLE_L = fl_rgb_color(220, 190, 255);

const Fl_Color HV_GRAY = fl_rgb_color(125, 125, 125);
const Fl_Color HV_GRAY_D = fl_rgb_color(75, 75, 75);
const Fl_Color HV_GRAY_DD = fl_rgb_color(45, 45, 45);
const Fl_Color HV_GRAY_DDD = fl_rgb_color(25, 25, 25);
const Fl_Color HV_GRAY_L = fl_rgb_color(175, 175, 175);
const Fl_Color HV_GRAY_LL = fl_rgb_color(205, 205, 205);
const Fl_Color HV_GRAY_LLL = fl_rgb_color(225, 225, 225);

#endif
