#ifndef COEFFICIENTS_H_
#define COEFFICIENTS_H_

#include <math.h>
#include <ewave/kernel/array.h>
#include <ewave/kernel/iavltree.h>

extern double global_time;

typedef struct Coefficient_Value
{
  double value[2];
  double tension;
  double continuity;
  double bias;
} EW_KB_Value;

typedef Array<Coefficient_Value> Coefficient;
typedef IAVLTree<Coefficient> Coefficient_List;

#endif
