#include <gFL/guile_fltk.h>
#include <ewave/kernel/base.h>

/*
   1.  Smob handling functions:
*/

static SCM
Smark (SCM widget_smob)
{
  return SCM_BOOL_F;
}

static scm_sizet
Sfree (SCM smob)
{
  delete (Base *) gh_cdr (smob);
  gfl_remove (smob);
  return (sizeof (GFL_Widget) + sizeof (Base));
}

static int
Sprint (SCM smob, SCM port, scm_print_state *pstate)
{
  scm_puts ("#<obj base >", port);
  return 1;
}

/*
   2.  Smob definition:
*/

GFL_CLASS_TYPE ("ewave-base", 
		"The base class.",
		ew_base, 
		Smark, Sfree, Sprint);

void ew_base_scheme_init ()
{
  GFL_NEW_TYPE (ew_base);
}

