/* Extreme Wave -- A 3d modelling and animation environment
   Copyright (C) 1999 James Dean Palmer
   
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

   Please report all bugs and problems to "james@tiger-marmalade.com".
*/

#include <ewave/kernel/ew_kernel.h>
#include <ewave/gui/gui.h>

EW_Kernel *kernel;

const char * 
EW_Class::evaluator (EW_Class *x)
{
  return x->name();
}

void
EW_Class::inspector (Fl_Group *g)
{ 
  inspector_ = g; 
  if (!(g->parent() == object_inspector_group))
    {
      object_inspector_group->add(g);
      g->position (object_inspector_group->x()+1, object_inspector_group->y()+1);
      g->hide();
    }
}
