#ifndef GLOBAL_H
#define GLOBAL_H

#include <ewave/objects/ew_object.h>

#define EWAVE_MAJOR_VERSION 0
#define EWAVE_MINOR_VERSION 5
#define EWAVE_PATCH_VERSION 0

class Global
{
 public:
  Global ();
  short   verbose;
  int tool;
  int frame;
  double tool_delta;
  double aspect_ratio;
  void set_object(const char *);
  void set_properties(const char *);
  EW_Object * new_object();
  void add_object(EW_Class *b);
  short   loading;
  short   render_photo;
  short   render_mood;
 private:
  EW_Class * current_object_record;
};

extern Global global;
extern int current_point;
extern int SelectedBone;

#endif
