#ifndef _INCLUDE_EW_BLOBBYGROUP_H_
#define _INCLUDE_EW_BLOBBYGROUP_H_

#include "ew_group.h"

class EW_BlobbyGroup : public EW_Group 
{
 public:
  
  EW_BlobbyGroup();

  static void initialize();
  static void pdb_register(char *, long);
  Fl_Pixmap * pixmap() { return record.pixmap; }
  Fl_Group * property_window() { return record.property_window; }
  long tag() { return record.tag; }
  char * type() { return record.name; }  
  static EW_BlobbyGroup * scm2obj(SCM);
  static SCM obj2scm(EW_Object *);

  static SCM set_threshold(SCM);
  static SCM get_threshold(SCM);

  void write (FILE *, int);
  void update_gui();
  EW_Object * replicate();

 protected:
  double threshold;
  static EW_ObjectRecord record;
};

#endif
