#ifndef _EW_CAPSUL_H
#define _EW_CAPSUL_H

#include <ewave/objects/ew_generic.h>

class EW_Capsul : public EW_Generic
{
 public:
  EW_Capsul ();

  static EW_Class      klass;
  virtual EW_Class&    vklass () { return klass; }

  static void          initialize ();
  EW_Object*           replicate();

  virtual void         refresh (); // update_gui

  virtual int          write (EIFF *);
  virtual int          read (EIFF *);

  virtual void         draw (int, EW_Drw);

 protected:
  Mesh * qs[8];
  Mesh * qc[4];
};

#endif
