#ifndef INCLUDE_EW_CUBE_H_
#define INCLUDE_EW_CUBE_H_

#include <ewave/objects/ew_generic.h>

class EW_Cube : public EW_Generic 
{
 public:

  EW_Cube();

  static  EW_Class     klass;
  virtual EW_Class&    vklass () { return klass; }

  static void          initialize();
  EW_Object*           replicate ();

  virtual void         refresh ();

  virtual int          write (EIFF *);
  virtual int          read (EIFF *);

  virtual void         draw (int, EW_Drw);
  static Mesh*         new_cube (int detail);
  
  Mesh*                mesh;
};

#endif
