#ifndef GRID_H
#define GRID_H

#include <ewave/kernel/array.h>

struct TGrid {
  char * name;
  short visible;
  int color;
  double w;
  double h;
  double uoff;
  double voff;
  double umax;
  double vmax;
  double umin;
  double vmin;
  double ux;
  double uy;
  double uz;
  double vx;
  double vy;
  double vz;
  double woff;
};

typedef Array<TGrid> Grid_List;

void GridBrowserClear ();
void draw_grid();

#endif
