/* timeofday.c
   Copyright 8-13-04 Robin.Rowe@movieeditor.com
   MIT OSI license
*/

#include <timeofday.h>
#include <time.h>

int gettimeofday(struct timeval* t,void* timezone)
{	struct _timeb timebuffer;
	_ftime( &timebuffer );
	t->tv_sec=timebuffer.time;
	t->tv_usec=1000*timebuffer.millitm;
	return 0;
}

int settimeofday(const struct timeval *tv , void *tz)
{	struct tm *lt = NULL;
	SYSTEMTIME st;
	lt = gmtime(&(tv->tv_sec));
	st.wYear = lt->tm_year + 1900;
	st.wMonth = lt->tm_mon + 1;
	st.wDay = lt->tm_mday;
	st.wHour = lt->tm_hour;
	st.wMinute = lt->tm_min;
	st.wSecond = lt->tm_sec;
	st.wMilliseconds = (WORD)(tv->tv_usec / 1000);
	return SetSystemTime(&st)? 0:-1;
}
