/* timeofday.h 
   Copyright 8-13-04 Robin.Rowe@movieeditor.com
   MIT OSI license
*/

#ifndef TIME_OF_DAY_H
#define TIME_OF_DAY_H

#include <sys/timeb.h>
#include <sys/types.h>
#include <windows.h>
#include <winsock.h>

#ifdef __cplusplus
extern "C" {
#endif

#ifndef PTHREAD_TIMESPEC

typedef struct timespec timespec;

struct timespec
{	long tv_sec;
	long tv_nsec;
};

#endif

int gettimeofday(struct timeval* t,void* timezone);
int settimeofday(const struct timeval *tv , void *tz);

#ifdef __cplusplus
}
#endif

#endif
