#!/bin/env ruby
require 'mlt'
Mlt::factory_init
file = ARGV.shift
p = Mlt::MltProducer.new( file )
f = Mlt::MltFilter.new( "avcolour_space" )
f.properties.set_int( "forced", Mlt::Mlt_image_yuv422 )
p.attach_filter( f )
for i in 0 .. p.get_length( ) - 1
	frame = p.get_frame( )
	frame.fetch_image( 192, 144, Mlt::Mlt_image_rgb24 )
	format = frame.properties.get_int( "format" )
	width = frame.properties.get_int( "width" )
	height = frame.properties.get_int( "height" )
	puts "P6"
	puts "#{width} #{height}"
	puts "255"
	break if frame.properties.dump_data( "image", width * height * 3 ) == 0
end
p.detach_filter f
p.destroy
f.destroy
#Mlt::factory_close
