#!/usr/bin/perl -w

# heidi @ animae.org 12/16/2005, translation from pix2_html.sh
# originally written by Robin.Rowe@MovieEditor.com 5/3/2004
# License OSI MIT

use strict;

my $dir = "thumbs";
my $wildcard = '*.JPG';
my $html = 'index.html';
my $convert = 'gm convert';
my $size = '200x200';

sub MkDir
{	if(!(-d $dir))
	{	mkdir $dir or die "Could not make directory $dir: $!";
}	}

sub CreateThumbnails
{	open(my $OUT,'>',$html) or die "Could not open $html: $!";
	print($OUT <<ZZZ);
<HTML><BODY><H3>CinePaint pix_html</H3><P><P><!--CinePaint pix_html.sh-->
ZZZ
	foreach my $file (glob $wildcard)
	{	print("$file\n");
		system "$convert -sample $size $file $dir/$file";
		print($OUT <<ZZZ);
<A HREF=$file><IMG SRC=$dir/$file ALT=\"$file\"></A>
ZZZ
	}
	print($OUT <<ZZZ);
</BODY></HTML>
ZZZ
	close($OUT);
}

sub main
{	MkDir();
	CreateThumbnails();
	print("done!\n");
}

main();