#ifndef _Fl_Gradient_Box_H_
#define _Fl_Gradient_Box_H_
#include <FL/Fl_Group.H>
#include <FL/Fl_Box.H>
#include "gradient.h"

class FL_EXPORT Fl_Gradient_Box : public Fl_Widget {
  Gradient *cgrad;	
  int px;

  static void generate_gradimage(void* wbox, int X, int Y, int W, uchar* buf);

protected:
  void draw();
  int handle(int event, int X, int Y, int W, int H);

public:
  int handle(int);
  Gradient* grad(Gradient *g=NULL);	
  void freegrad() { cgrad=NULL; };
  double * getsegments(int &n);
  int getpx() { return px; }
  float getnormpx() { return (float(px)/float(w()-Fl::box_dx(box()))); }

  Fl_Gradient_Box(int X,int Y, int W, int H,const char *l = 0);
};

#endif
